Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src.nodes
Class ClassChildren

    java.lang.Object
      org.openide.nodes.Children
          org.openide.nodes.Children.Array
              org.openide.nodes.Children.Keys
                  org.openide.src.nodes.ClassChildren

All Implemented Interfaces:
  Cloneable, FilterCookie, Node.Cookie

    public class ClassChildren

extends Children.Keys
implements FilterCookie

Normal implementation of children list for a class element node. Semantics are similar to those of `SourceChildren`.

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.nodes.Children
`Children.Array, Children.Keys, Children.Map, Children.SortedArray, Children.SortedMap`

Field Summary
`protected Collection[]` | `cpl` Central memory of mankind is used when some elements are changed
`protected ClassElement` | `element` The class element whose subelements are represented.
`protected ElementNodeFactory` | `factory` Factory for creating new child nodes.
`protected ClassElementFilter` | `filter` Filter for elements, or `null` to disable.
`protected static HashMap` | `propToFilter` Converts property names to filter.

Fields inherited from class org.openide.nodes.Children.Array
`nodes`

Fields inherited from class org.openide.nodes.Children
`LEAF, MUTEX`

Constructor Summary
`ClassChildren(ClassElement element)` Create class children with the default factory.
`ClassChildren(ElementNodeFactory factory, ClassElement element)` Create class children.

Method Summary
`protected void` | `addNotify()`
`protected Node[]` | `createNodes(Object key)`
`Object` | `getFilter()`
`Class` | `getFilterClass()` Implementation of filter cookie
`protected Collection` | `getKeysOfType(int elementType)` Filters and returns the keys of specified type.
`protected int[]` | `getOrder()` Returns order form filter.
`protected void` | `refreshAllKeys()` Updates all the keys (elements) according to the current filter & ordering.
`protected void` | `refreshKeys(int filter)` Updates all the keys with given filter.
`protected void` | `removeNotify()`
`void` | `setFilter(Object filter)`

Methods inherited from class org.openide.nodes.Children.Keys
`add, clone, destroyNodes, refreshKey, remove, setBefore, setKeys, setKeys`

Methods inherited from class org.openide.nodes.Children.Array
`initCollection, refresh`

Methods inherited from class org.openide.nodes.Children
`findChild, getNode, getNodes, getNodes, getNodesCount, isInitialized, nodes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propToFilter

    protected static HashMap propToFilter

  Converts property names to filter.

### element

    protected ClassElement element

  The class element whose subelements are represented.

### filter

    protected ClassElementFilter filter

  Filter for elements, or `null` to disable.

### factory

    protected ElementNodeFactory factory

  Factory for creating new child nodes.

### cpl

    protected Collection[] cpl

  Central memory of mankind is used when some elements are changed

Constructor Detail

### ClassChildren

    public ClassChildren(ClassElement element)

  Create class children with the default factory. The children are initially unfiltered.

  Parameters:
    `element` - attached class element (non-`null`)

### ClassChildren

    public ClassChildren(ElementNodeFactory factory,
                         ClassElement element)

  Create class children. The children are initially unfiltered.

  Parameters:
    `factory` - the factory to use to create new children
    `element` - attached class element (non-`null`)

Method Detail

### getFilterClass

    public Class getFilterClass()

  Implementation of filter cookie

  Specified by:
    `getFilterClass` in interface `FilterCookie`

### getFilter

    public Object getFilter()

  Specified by:
    `getFilter` in interface `FilterCookie`

### setFilter

    public void setFilter(Object filter)

  Specified by:
    `setFilter` in interface `FilterCookie`

### addNotify

    protected void addNotify()

  Overrides:
    `addNotify` in class `Children`

### removeNotify

    protected void removeNotify()

  Overrides:
    `removeNotify` in class `Children`

### createNodes

    protected Node[] createNodes(Object key)

  Specified by:
    `createNodes` in class `Children.Keys`

### refreshAllKeys

    protected void refreshAllKeys()

  Updates all the keys (elements) according to the current filter & ordering.

### refreshKeys

    protected void refreshKeys(int filter)

  Updates all the keys with given filter.

### getKeysOfType

    protected Collection getKeysOfType(int elementType)

  Filters and returns the keys of specified type.

### getOrder

    protected int[] getOrder()

  Returns order form filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.